Single custom permission set
- GET
- /workspaces
- /:workspace
- /permissions
- /:permission_set_id
Get details of single custom permission set
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/permissions/:permission_set_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/permissions/1",
"html_url": "https://app.buddy.works/my-workspace/-/permissions/edit/1",
"id": 1,
"name": "Developer",
"type": "DEVELOPER",
"repository_access_level": "READ_WRITE",
"pipeline_access_level": "READ_WRITE",
"sandbox_access_level": "READ_WRITE",
"project_team_access_level": "READ_ONLY",
"environment_access_level": "MANAGE",
"artifact_access_level": "MANAGE",
"note": "Notes about this resource",
"agent_note": "my_custom_field: note for agent"
}STATUS
200 Permission set details retrieved successfully